parse                  package:base                  R Documentation

Parse Expressions

Description:

     'parse' returns the parsed but unevaluated expressions in a list. 
     Each element of the list is of mode 'expression'.

Usage:

     parse(file = "", n = NULL, text = NULL, prompt = "?")

Arguments:

    file: a connection, or a character string giving the name of a file
          or a URL to read the expressions from. If 'file' is '""' and
          'text' is missing or 'NULL' then input is taken from the
          console.

       n: the number of statements to parse.  If 'n' is negative the
          file is parsed in its entirety.

    text: character vector. The text to parse. Elements are treated as
          if they were lines of a file.

  prompt: the prompt to print when parsing from the keyboard. 'NULL'
          means to use R's prompt, 'getOption("prompt")'.

     'NULL' means to use R's prompt, 'getOption("prompt")'.

Details:

     All versions of R accept input from a connection with end of line
     marked by LF (as used on Unix), CRLF (as used on DOS/Windows) or
     CR (as used on classic MacOS).  The final line can be incomplete,
     that is missing the final EOL marker.

     See 'source' for the limits on the size of functions that can be
     parsed (by default).

References:

     Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) _The New S
     Language_. Wadsworth & Brooks/Cole.

See Also:

     'scan', 'source', 'eval', 'deparse'.

Examples:

     cat("x <- c(1,4)\n  x ^ 3 -10 ; outer(1:7,5:9)\n", file="xyz.Rdmped")
     # parse 3 statements from the file "xyz.Rdmped"
     parse(file = "xyz.Rdmped", n = 3)
     unlink("xyz.Rdmped")

